<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionColorSettingsBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/da5/class_expansion_color_settings_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionColorSettingsBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a83aae096eae073abce76520621738ef5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#a83aae096eae073abce76520621738ef5">ExpansionColorSettingsBase</a> ()</td></tr>
<tr class="separator:a83aae096eae073abce76520621738ef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61868b4d8cceadd0ce958df932a80742"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#a61868b4d8cceadd0ce958df932a80742">Get</a> (string name)</td></tr>
<tr class="separator:a61868b4d8cceadd0ce958df932a80742"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a016ba83d7af0d5bb8079804a39ad27b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#a016ba83d7af0d5bb8079804a39ad27b0">Set</a> (string name, int color)</td></tr>
<tr class="separator:a016ba83d7af0d5bb8079804a39ad27b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab41cd8800a64245f90e6f84105372d1c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#ab41cd8800a64245f90e6f84105372d1c">Set</a> (string name, string color)</td></tr>
<tr class="separator:ab41cd8800a64245f90e6f84105372d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d9b5f9f35eb0aea901c7f4486beb14f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#a3d9b5f9f35eb0aea901c7f4486beb14f">_Set</a> (string name, int color)</td></tr>
<tr class="separator:a3d9b5f9f35eb0aea901c7f4486beb14f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdfa075f3935de62e2b0be113dbe3bf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#afdfa075f3935de62e2b0be113dbe3bf4">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:afdfa075f3935de62e2b0be113dbe3bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade1ec70a3a266e87a991f981e448d8e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#ade1ec70a3a266e87a991f981e448d8e5">OnReceive</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:ade1ec70a3a266e87a991f981e448d8e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0477d707bf9ddc8df1e67184299560f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#ab0477d707bf9ddc8df1e67184299560f">Update</a> ()</td></tr>
<tr class="separator:ab0477d707bf9ddc8df1e67184299560f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae5ec82a209f9ddbe81c55382c1cf6cb8"><td class="memItemLeft" align="right" valign="top">ref map&lt; string, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html#ae5ec82a209f9ddbe81c55382c1cf6cb8">m_Colors</a></td></tr>
<tr class="separator:ae5ec82a209f9ddbe81c55382c1cf6cb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c.html">ExpansionColorSettingsBase.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00013">13</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a83aae096eae073abce76520621738ef5" name="a83aae096eae073abce76520621738ef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83aae096eae073abce76520621738ef5">&#9670;&#160;</a></span>ExpansionColorSettingsBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::ExpansionColorSettingsBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00018">18</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3d9b5f9f35eb0aea901c7f4486beb14f" name="a3d9b5f9f35eb0aea901c7f4486beb14f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d9b5f9f35eb0aea901c7f4486beb14f">&#9670;&#160;</a></span>_Set()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::_Set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00042">42</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<a id="a61868b4d8cceadd0ce958df932a80742" name="a61868b4d8cceadd0ce958df932a80742"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61868b4d8cceadd0ce958df932a80742">&#9670;&#160;</a></span>Get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionColorSettingsBase::Get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00023">23</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<a id="ade1ec70a3a266e87a991f981e448d8e5" name="ade1ec70a3a266e87a991f981e448d8e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade1ec70a3a266e87a991f981e448d8e5">&#9670;&#160;</a></span>OnReceive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::OnReceive </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00066">66</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<a id="afdfa075f3935de62e2b0be113dbe3bf4" name="afdfa075f3935de62e2b0be113dbe3bf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdfa075f3935de62e2b0be113dbe3bf4">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Network optimization: We send the color as int</p>

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00050">50</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<a id="a016ba83d7af0d5bb8079804a39ad27b0" name="a016ba83d7af0d5bb8079804a39ad27b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a016ba83d7af0d5bb8079804a39ad27b0">&#9670;&#160;</a></span>Set() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::Set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00028">28</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<a id="ab41cd8800a64245f90e6f84105372d1c" name="ab41cd8800a64245f90e6f84105372d1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab41cd8800a64245f90e6f84105372d1c">&#9670;&#160;</a></span>Set() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::Set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00035">35</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<a id="ab0477d707bf9ddc8df1e67184299560f" name="ab0477d707bf9ddc8df1e67184299560f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0477d707bf9ddc8df1e67184299560f">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionColorSettingsBase::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00082">82</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae5ec82a209f9ddbe81c55382c1cf6cb8" name="ae5ec82a209f9ddbe81c55382c1cf6cb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5ec82a209f9ddbe81c55382c1cf6cb8">&#9670;&#160;</a></span>m_Colors</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref map&lt;string, int&gt; ExpansionColorSettingsBase::m_Colors</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html#l00016">16</a> of file <a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/<a class="el" href="../../d7/d26/expansioncolorsettingsbase_8c_source.html">expansioncolorsettingsbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/da5/class_expansion_color_settings_base.html">ExpansionColorSettingsBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
